Retrieve a webhook
Retrieve a webhook.
For postpaid SIM service only
403 will be returned if your partner account does not have postpaid SIM service.
Required Capabilities
Webhook Viewer
Request
GET/webhooks/{id}
Path parameters
idstringrequired
ID of the webhook.
Response
A json is returned in the response body with the following fields:
idstring
ID of the webhook.
namestring
Name of the webhook.
urlstring
URL events are pushed to.
tokenstring
Token sent with every push, masked to its first and last 4 characters, e.g. s3cr...6789.
eventTypesenum array
Event types the webhook subscribes to.
POSTPAID_SIM_USAGE_UPDATED— The live usage of one or more postpaid SIMs in your partner account changes
createdAtdatetime string
Time of when the webhook is created.
createdBystring
Name of whom created the webhook.
createdByEmailnullable string
Email of whom created the webhook. null if not applicable.
updatedAtnullable datetime string
Time of when the webhook is updated. null if not applicable.
updatedBynullable string
Name of whom updated the webhook. null if not applicable.
updatedByEmailnullable string
Email of whom updated the webhook. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/webhooks/{id}' \ -H 'Authorization: Bearer {token}'Response
{
"id": "6704f1a2c3d4e5f6a7b8c9d0",
"name": "Usage feed",
"url": "https://partner.example.com/peplink/events",
"token": "s3cr...6789",
"eventTypes": ["POSTPAID_SIM_USAGE_UPDATED"],
"createdAt": "2026-10-08T03:12:45.123Z",
"createdBy": "Jane Doe",
"createdByEmail": "[email protected]",
"updatedAt": null,
"updatedBy": null,
"updatedByEmail": null
}